VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IGraphicsAdapter Interface Reference

The IGraphicsAdapter interface represents the graphics adapter of the virtual machine. More...

Inheritance diagram for IGraphicsAdapter:

## Public Member Functions
void | setFeature (in GraphicsFeature feature, in boolean enabled)
| Sets a graphics controller feature.
void | isFeatureEnabled (in GraphicsFeature feature, [retval] out boolean enabled)
| Returns whether a particular feature is enabled for this adapter or not.

## Public Attributes
attribute GraphicsControllerType | graphicsControllerType
| Graphics controller type.
attribute unsigned long | VRAMSize
| Video memory size in megabytes.
attribute unsigned long | monitorCount
| Number of virtual monitors.

## Detailed Description

The IGraphicsAdapter interface represents the graphics adapter of the virtual machine.

Interface ID:
  `{13EE6EB4-06FE-406B-AD69-F6E08B0587A3}`

## Member Function Documentation

## ◆ setFeature()

void IGraphicsAdapter::setFeature | ( | in GraphicsFeature | feature,
|  | in boolean | enabled
| ) |  |

Sets a graphics controller feature.

Parameters

  feature | Graphics controller feature to set.
  enabled | Whether to enable or disable the feature.

Expected result codes:

  VBOX_E_NOT_SUPPORTED | The feature is not supported on the current platform.

## ◆ isFeatureEnabled()

void IGraphicsAdapter::isFeatureEnabled | ( | in GraphicsFeature | feature,
|  | [retval] out boolean | enabled
| ) |  |

Returns whether a particular feature is enabled for this adapter or not.

Parameters

  feature | Feature to check for.
  enabled | `true` if the feature is enabled, `false` if not.

## Member Data Documentation

## ◆ graphicsControllerType

attribute GraphicsControllerType IGraphicsAdapter::graphicsControllerType

Graphics controller type.

## ◆ VRAMSize

attribute unsigned long IGraphicsAdapter::VRAMSize

Video memory size in megabytes.

## ◆ monitorCount

attribute unsigned long IGraphicsAdapter::monitorCount

Number of virtual monitors.

Note
  Only effective on Windows XP and later guests with Guest Additions installed.